Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class Tile

    java.lang.Object
      gov.nasa.worldwind.Tile

All Implemented Interfaces:
  Cacheable, Comparable<Tile>

Direct Known Subclasses:
  TextureTile

    public class Tile

extends Object
implements Comparable<Tile>, Cacheable

Constructor Summary
`Tile(Sector sector)`
`Tile(Sector sector, Level level)`
`Tile(Sector sector, Level level, int row, int column)`

Method Summary
`int` | `compareTo(Tile tile)`
`static int` | `computeColumn(Angle delta, Angle longitude)` Computes the column index of a longitude in the global tile grid corresponding to a specified grid interval.
`static Angle` | `computeColumnLongitude(int column, Angle delta)` Determines the minimum longitude of a column in the global tile grid corresponding to a specified grid interval.
`static int` | `computeRow(Angle delta, Angle latitude)` Computes the row index of a latitude in the global tile grid corresponding to a specified grid interval.
`static Angle` | `computeRowLatitude(int row, Angle delta)` Determines the minimum latitude of a row in the global tile grid corresponding to a specified grid interval.
`boolean` | `equals(Object o)`
`String` | `getCacheName()`
`int` | `getColumn()`
`String` | `getFormatSuffix()`
`String` | `getLabel()`
`Level` | `getLevel()`
`String` | `getLevelName()`
`int` | `getLevelNumber()`
`String` | `getPath()`
`double` | `getPriority()`
`URL` | `getResourceURL()`
`int` | `getRow()`
`Sector` | `getSector()`
`long` | `getSizeInBytes()` Retrieves the approximate size of this object in bytes.
`TileKey` | `getTileKey()`
`int` | `hashCode()`
`void` | `setPriority(double priority)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tile

    public Tile(Sector sector)

### Tile

    public Tile(Sector sector,
                Level level)

### Tile

    public Tile(Sector sector,
                Level level,
                int row,
                int column)

Method Detail

### compareTo

    public int compareTo(Tile tile)

  Specified by:
    `compareTo` in interface `Comparable<Tile>`

### computeColumn

    public static int computeColumn(Angle delta,
                                    Angle longitude)

  Computes the column index of a longitude in the global tile grid corresponding to a specified grid interval.

  Parameters:
    `delta` - the grid interval
    `longitude` - the longitude for which to compute the column index
  Returns:
    the column index of the column containing the specified latitude
  Throws:
    `IllegalArgumentException` - if `delta` is null or non-positive, or `longitude` is null, greater than positive 180 degrees, or less than negative 180 degrees

### computeColumnLongitude

    public static Angle computeColumnLongitude(int column,
                                               Angle delta)

  Determines the minimum longitude of a column in the global tile grid corresponding to a specified grid interval.

  Parameters:
    `column` - the row index of the row in question
    `delta` - the grid interval
  Returns:
    the minimum longitude of the tile corresponding to the specified column
  Throws:
    `IllegalArgumentException` - if the grid interval (`delta`) is null or zero or the column index is negative.

### computeRow

    public static int computeRow(Angle delta,
                                 Angle latitude)

  Computes the row index of a latitude in the global tile grid corresponding to a specified grid interval.

  Parameters:
    `delta` - the grid interval
    `latitude` - the latitude for which to compute the row index
  Returns:
    the row index of the row containing the specified latitude
  Throws:
    `IllegalArgumentException` - if `delta` is null or non-positive, or `latitude` is null, greater than positive 90 degrees, or less than negative 90 degrees

### computeRowLatitude

    public static Angle computeRowLatitude(int row,
                                           Angle delta)

  Determines the minimum latitude of a row in the global tile grid corresponding to a specified grid interval.

  Parameters:
    `row` - the row index of the row in question
    `delta` - the grid interval
  Returns:
    the minimum latitude of the tile corresponding to the specified row
  Throws:
    `IllegalArgumentException` - if the grid interval (`delta`) is null or zero or the row index is negative.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### getCacheName

    public final String getCacheName()

### getColumn

    public final int getColumn()

### getFormatSuffix

    public final String getFormatSuffix()

### getLabel

    public String getLabel()

### getLevel

    public Level getLevel()

### getLevelName

    public final String getLevelName()

### getLevelNumber

    public final int getLevelNumber()

### getPath

    public String getPath()

### getPriority

    public double getPriority()

### getResourceURL

    public URL getResourceURL()
                       throws MalformedURLException

  Throws:
    `MalformedURLException`

### getRow

    public final int getRow()

### getSector

    public final Sector getSector()

### getSizeInBytes

    public long getSizeInBytes()

  Description copied from interface: `Cacheable`
  Retrieves the approximate size of this object in bytes. Implementors are encouraged to calculate the exact size for smaller objects, but use approximate values for objects that include such large components that the approximation would produce an error so small that the extra computation would be wasteful.

  Specified by:
    `getSizeInBytes` in interface `Cacheable`
  Returns:
    this `Cacheable` object's size in bytes

### getTileKey

    public final TileKey getTileKey()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### setPriority

    public void setPriority(double priority)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD